from docutils import nodes

from django.utils import simplejson


class fixtures(nodes.General, nodes.Element):
    pass


def fixtures_directive(name, arguments, options, content, lineno,
                       content_offset, block_text, state, state_machine):
    fixture = fixtures()
    fixture.fixturepath = arguments[0]
    return [fixture]


def process_fixtures_nodes(app, doctree, fromdocname):
    for node in doctree.traverse(fixtures):
        fp = os.open(node.fixturepath)

        if not fp:
            continue

        data = simplejson.loads(fp.read())
        fp.close()




def setup(app):
    app.add_node(fixtures)
    app.add_directive('fixtures', fixtures_directive, 1, (0, 0, 1))

